הכוורת: פיילוט חברותא

מתוך שקוף באוהל
קפיצה אל: ניווט, חיפוש
לוגו הכוורת - טרנספורמציה של קוביה תלת מימדית לתא משושה, שהוא תא הבסיס בכוורת. המעטפת הסגולה מייצגת את ה-“Purple Reality”: מציאות שמעבר לבחירה בגלולה הכחולה או האדומה של ה"מטריקס", מציאות של יצירת מטריקס חדש של שיתוף, אומץ, חופש ואחווה.

זהו דף הקשור ליוזמת הכוורת. דפים נוספים הקשורים ליוזמה ניתן למצא כאן.

תוכן עניינים

[עריכה] רקע

החברותא היא קהילה שמנסה להקים קואופ-ביתקפה בקריית שמונה. ברוך מהכוורת הציע להם:

"היי לכל.
אני עובד בחברה שמפתחת רשת חברתית לאקטיביסטים. זו חברה דיי מהפכנית במובן שהיא ממש מנסה להיות על הקו הדק שבין תשלום שכר לעובדים ובין לעבוד לגמרי מחוץ לשיטה הקפיטליסטית.
למי שמכיר את קהילת o-share סביב הבר-קיימא - אנחנו עובדים על תשתית זהה לחלוטין, ומנסים ליצור רשת של קהילות של מטבעות חלופיים.
בשלב הזה הרשת החברתית שפיתחנו מאפשרת בעיקר לנהל תור של הצעות ובקשות וכן תור של משימות לביצוע. שזה כבר יותר כיף ומסודר ממה שפייסבוק מציע.
לפני סוף מרץ, אנו רוצים שהמערכת תאפשר חשבונאות בין חברי הרשת במטבעות מקומיים-חלופיים (למשל "השקל של קריית שמונה" או "הדולר של עפולה") וחנות אינטרנטית בכסף רגיל ובמטבעות מקומיים-חלופיים. מהפכה! :-)
אני והצוות רוצים להציע לקהילת החברותא להיות הקהילה הראשונה שמתנסה במערכת. זה יאפשר לנו ללמוד מהחכמה שיש כאן בקהילה הזו, ולפתח מערכת שתהיה משובחת גם לקהילות אחרות. וזה יאפשר לנו להיות קשובים לחלוטין לדרישות של קהילת החברותא ולתת מענה מדוייק לדרישות שיש לכם ממערכת כזו. מצרף כאן לינק עם הסבר כללי על המערכת, אבל אין טוב יותר מאשר מפגש על קפה כדי להסביר את הדברים.
עוד כמה משפטים על מה בדיוק נדרש מקהילת החברותא.
- צפייה בסרטון וידאו של 5 דק' שמסביר איך המערכת עובדת.
- כניסה למערכת באמצעות הרשמה או באמצעות חשבון הפייסבוק שלכם.
- הזנת מטלות הקשורות להתנהלות בפרויקט או בקשות שיש לכם מקהילת החברותא באמצעות המערכת. למשל "צריך רישיון עסק, אלו השלבים, מה עושים מחר?" ואז הזנת דיווחים על התקדמות בביצוע מטלות באמצעות המערכת.
- הזנת הצעות שיש לחברים בקהילה או לחברותא כארגון, למשל: מציעים 20 קילו אשכוליות מהעץ בתמורה להחלפת משמרת ביום שלישי.
- והכי חשוב, כל פעם שיש רעיון לשידרוג או תיקון של משהו במערכת, פשוט לכתוב לנו כדי שנוכל לתקן.
בהערכה גסה, אני מניח שכל חבר ישקיע בזה כ-15 דקות למידה, ובמצטבר כשעה-שעתיים של הזנת תוכן למערכת ומשחק איתה.
אם הכל ימצא חן בעיניכם, זה שלכם לתמיד.
אם נמאס לכם, אנחנו נייצא את כל הידע שיצטבר במערכת לקובץ אקסל, ונשחרר אתכם להמשך מהפיכה נעימה.
אז מה אתןם אומרים?"

[עריכה] שלבים בתוכנית הפיילוט

  1. היכרות ותיאום ציפיות - בוצע
  2. הכנת סרט וידאו -איך עובדים עם הכוורת?
  3. הכנת מסמך הוראות הפעלה+הצמדת סרט וידאו
  4. מפגש פיזי בק"ש להתנסות במערכת
  5. עדכונים ברגע שספרינט 2 ו/או 3 מסתיימים
  6. מפגש פיזי למסקנות/הערות לקראת המשך פיתוח
  7. לימוד משותף ועיון בהמדריך למטבע קהילתי של ברנרד ליטאר וגואנדולין הלסמיט
  8. שיחת יחסינו לאן?

[עריכה] תסריט לסרטון היכרות עם הכוורת

[עריכה] תסריט מנהל

שלום, קוראים לי ברוך אורן והיום נבצע הגדרות ראשוניות לקולאב - מערכת שיתוף הפעולה (collaboration) של יוזמת הכוורת. הקולאב כרגע בגרסאת ביתא, מודל 0.9

באתר שקוףבאוהל יש הוראות להתקנה ראשונית של הכוורת. היום נלמד איך להגדיר מספר הגדרות ראשוניות בכוורת לאחר התקנתה.

כברירת מחדל המערכת מותקנת באנגלית, דבר ראשון שנעשה הוא התאמה לעברית.

נכנס למערכת באמצעות כפתור LOGIN עם הסיסמה אדמין אדמין.

בראש הדף יהיה תפריט ניהול שהוא בעצם שורה דקה בצבע שחור. נבחר שם בהגדרות-שפה-ונסמן את השפה עברית כברירת מחדל. עכשיו שומרים.

שנית, שינוי שם האתר. יש להכנס שוב בתפריט הניהול להגדרות -מערכת - מידע על האתר.

שלישית, למחוק פוסטים לא רצויים כגון אלו שמגיעים עם האתר. להכנס לתפריט תוכן, לסמן ואז לבצע מחיקה. להזהר לא למחוק את הפוסט "קהילת ברירת מחדל" שמשמש את המערכת.

רביעית. כדי לאפשר למשתמשים להכנס למערכת באמצעות שם משתמש וסיסמה, עליכם להקים אפליקציית פייסבוק מתאימה. אפשר פשוט לפנות לצוות הכוורת כדי שיעשה את זה, ואפשר באופן עצמאי לגשת לאיזור המפתחים של פייסבוק ולהגדיר את הURL בו מותקן הקולאב. יתקבלו 2 מחרוזות - קוד אפליקציה וקוד סודי. את הפרטים הללו יש להעתיק למסך המתאים בקולאב - נכנסים לתפריט הגדרות - ומשם לתפריט פייסבוק. כעת שומרים ו-אוולה - אפשר להכנס למערכת!

עד כאן לשימוש מנהל ראשון במערכת.

[עריכה] הוראות התקנה וזה: how to install colab-latest (from git)

  • use this url:
https://github.com/Gizra/kaveret7.git
or:
git@github.com:Gizra/kaveret7.git
or:
wget https://github.com/Gizra/kaveret7/archive/make.zip
  • you will see the file default.install.sh - in this very same directory, create the file my.install.sh e.g. k8.install.sh:
#!/bin/bash

rm -rf www/
mkdir www
chmod 777 www

(bash scripts/build ) || \
     ( echo Drupal installation profile and core build has FAILED. [ERROR] && exit -1; )
echo Drupal installation profile and core have been built and ready for install. [OK]

cd www

 
mkdir -p sites/default/files
chmod -R 777 sites/default/files

drush si -y kaveret --account-pass=admin \
     --db-url=mysql://kaveret_user:kaveret_password@localhost/kaveret_database \
     --sites-subdir=k8.hakaveret.org.il -v  || ( echo Site install has FAILED. [ERROR] && exit -1; )
echo k8 Site installed successfully. [OK]

cd sites/k8.hakaveret.org.il

drush mi --all --user=1 || ( echo Data migration FAILED. [ERROR] && exit -1; )
echo Data migration finished successfully. [OK]

cd ../../
  • fix the scripts/build file with this: diff --git a/scripts/build b/scripts/build
index b352cbb..9ae5e87 100644
--- a/scripts/build
+++ b/scripts/build
@@ -7,7 +7,8 @@ set -xe
 # Build the profile itself.
 (
   cd kaveret
-  $DRUSH make --no-core --contrib-destination drupal-org.make .
+  $DRUSH make --no-core --contrib-destination drupal-org.make . || ( echo Profile build has FAILED. [ERROR] && exit -1; )
+  echo Profile has been build successfully. [OK]
   cd ..
 )
 
@@ -16,19 +17,27 @@ set -xe
   # Save the sites/default directory if it exists.
   if [ -d www/sites/default ]; then
     mv www/sites/default sites-backup
+    mv www/sites/k8.hakaveret.org.il sites-backup-k8
+    mv www/sites/letovat.hakaveret.org.il sites-backup-letovat
   else
     mkdir -p www/sites/default
+    mkdir -p www/sites/k8.hakaveret.org.il
+    mkdir -p www/sites/letovat.hakaveret.org.il
   fi
-  chmod +w www/sites/* || true
-  rm -Rf www || true
+  su -c "/bin/chmod +w www/sites/*" root || true
+  su -c "/bin/rm -Rf www" root || true

   # Build core.
-  $DRUSH make kaveret/drupal-org-core.make www
-
+  $DRUSH make kaveret/drupal-org-core.make www || (echo Drupal.org core build has FAILED. [ERROR] && exit -1; )
+  echo Drupal.org core has been built successfully. [OK]
   # Restore the sites directory.
   if [ -d sites-backup ]; then
     rm -Rf www/sites/default
+    rm -Rf www/sites/k8.hakaveret.org.il
+    rm -Rf www/sites/letovat.hakaveret.org.il
     mv sites-backup/ www/sites/default
+    mv sites-backup/k8 www/sites/k8.hakaveret.org.il 
+    mv sites-backup-letovat/ www/sites/letovat.hakaveret.org.il
   fi

   # Move the profile in place.

[עריכה] תסריט משתמש

לפני ההתחלה יש לוודא שיש במערכת הצעה קיימת של 5 קילו אשכוליות ב5 בייז לקילו.


שלום, קוראים לי ברוך אורן והיום נכיר את הקולאב - מערכת שיתוף הפעולה (collaboration) של יוזמת הכוורת. הקולאב כרגע בגרסאת ביתא, מודל 0.9

ראשית נתחיל מההצצה במערכת. ניכנס לדף הפיילוט של חברותא בקישור - k8.hakaveret.org.il

במבט ראשון המערכת מאוד מזכירה את מה שכולנו מכירים מהרשת החברתית: תמונה וטקסט יוצרים ביחד פריט מידע.

פריטי המידע בקולאב 0.9 מתחלקים לשני סוגים בלבד: הצעות ובקשות.

הצעות הן דברים שיש לי שפע מהם בחיים ואני מציע לאחרותים.

בקשות הן דברים שיש לי מחסור בהם בחיים ואני מבקש מאחרותים שישאילו או ימסרו לי.

כרגע אפשר לראות שיש במערכת הצעה לאשכוליות. בואו נציץ בזה.

כשנכנסים להצעה, אפשרי לראות

נתחיל בדבר פשוט. נניח שיש לי ליד הבית שיחי חוביזה וכבר דיי נמאס לי לאכול חוביזה לבד. אני מעלה הצעה לכוורת.

משלוח הודעה לכל משתמשי המערכת על הצעה חדשה שיש לי: עלי חוביזה טריים.

חזרה לדף הבית.

[עריכה] רוצה להצטרף לקהילת המטבע החלופי בחברותא

פשוט לעשות שניה של מדיטציה ולנסות לראות ממה יש לך שפע בחיים, ובשמחה תתןי ממנו לאחרים. נניח: עץ מלא בלימון בחצר.
אחרי שאסףת רשימה של 2-3 פריטי שפע, נסי/ה לחשוב כמה דקות של עבודה חלופית היית שמח/ה לקבל בעבור השפע? למשל, 5 דקות של שטיפת כלים בתמורה לשקית של 5 לימונים מהגינה.
עכשיו אפשר פשוט לפרסם הצעה חדשה באתר. מהתפריט "מרחב קהילתי" בוחרים "יצירת הצעה חדשה", מזינים את המחיר החדש (5 בזזז עבור 5 לימונים) ומפרסמים את ההצעה.
באופן מקביל ליצירת ההצעות, אפשר לפרסם בקשות. עושים כמה דקות מדיטציה כאשר הפעם השאלה היא - ממה חסר לי בחיים, ואשמח אם אקבל ממנו? נניח: חסר לי לימון לסלט.
אחרי שאסףת רשימה של 2-3 פריטי מחסור, נסה/י לחשוב כמה דקות של עבודה חלופית תהיה/י מוכןה לתגמל את מי שיכול לתת לך את מה שחסר לך?
עכשיו אפשר פשוט לפרסם בקשה חדשה באתר. מהתפריט "מרחב קהילתי" בוחרות "יצירת בקשה חדשה", מזינים את התשר עבור אספקת המחסור, ומפרסמים את ההצעה.
כלים אישיים
גרסאות שפה
מרחבי שם
פעולות
ניווט
תיבת כלים